Overview | Package | Class | Use | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## gnu.xml.dom
Class JAXPFactory

    java.lang.Object
      |
      +--javax.xml.parsers.DocumentBuilderFactory
            |
            +--gnu.xml.dom.JAXPFactory

public final class JAXPFactory
extends DocumentBuilderFactory

DOM bootstrapping API, for use with JAXP.

Version:
  $Date: 2001/11/19 03:24:56 $
Author:
  David Brownell
See Also:
  `Consumer`

Constructor Summary
`JAXPFactory()` Default constructor.

Method Summary
`java.lang.Object` | `getAttribute(java.lang.String name)` There seems to be no useful specification for attribute names
`DocumentBuilder` | `newDocumentBuilder()` Constructs a JAXP document builder which uses the default JAXP SAX2 parser and the DOM implementation in this package.
`void` | `setAttribute(java.lang.String name, java.lang.Object value)` There seems to be no useful specification for attribute names

Methods inherited from class javax.xml.parsers.DocumentBuilderFactory
`isCoalescing, isExpandEntityReferences, isIgnoringComments, isIgnoringElementContentWhitespace, isNamespaceAware, isValidating, newInstance, setCoalescing, setExpandEntityReferences, setIgnoringComments, setIgnoringElementContentWhitespace, setNamespaceAware, setValidating`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JAXPFactory

    public JAXPFactory()

  Default constructor.

Method Detail

### newDocumentBuilder

    public DocumentBuilder newDocumentBuilder()
                                       throws ParserConfigurationException

  Constructs a JAXP document builder which uses the default JAXP SAX2 parser and the DOM implementation in this package.
  Overrides:
    `newDocumentBuilder` in class `DocumentBuilderFactory`

### setAttribute

    public void setAttribute(java.lang.String name,
                             java.lang.Object value)
                      throws java.lang.IllegalArgumentException

  There seems to be no useful specification for attribute names
  Overrides:
    `setAttribute` in class `DocumentBuilderFactory`

### getAttribute

    public java.lang.Object getAttribute(java.lang.String name)
                                  throws java.lang.IllegalArgumentException

  There seems to be no useful specification for attribute names
  Overrides:
    `getAttribute` in class `DocumentBuilderFactory`

Overview | Package | Class | Use | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Source code is under GPL (with library exception) in the JAXP project at http://www.gnu.org/software/classpathx/jaxp
This documentation was derived from that source code on 2001-11-20.